Page MenuHomePhabricator

Address cause of irrelevant outputs for SuggestBot
Closed, DeclinedPublic

Description

User:Waggers on WikiProject Hampshire points out that the work lists generated by SuggestBot include irrelevant output: https://en.wikipedia.org/wiki/Topic:Srk2k74ok38upw0y.

Would would cause SuggestBot to make recommendations irrelevant to the topic?

Event Timeline

Harej created this task.Oct 27 2015, 9:00 PM
Harej raised the priority of this task from to Medium.
Harej updated the task description. (Show Details)
Harej added a project: WikiProject-X.
Harej added subscribers: Harej, Nettrom.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 27 2015, 9:00 PM
Harej assigned this task to Nettrom.Nov 3 2015, 1:48 AM
Harej moved this task from Needs Triage to In Progress on the WikiProject-X board.
Harej set Security to None.

Judging by @Nettrom's activity on the WikiProject Hampshire discussion board it appears he's working on it.

Talked with @Harej to get this moving again.

The feedback from WP Hampshire was that suggestions should be limited to articles within the scope of a specific WikiProject. SuggestBot is designed to only suggest articles that are tagged with a specific work tag (e.g. "needs sources") and will therefore suggest less relevant articles. The aim is to solve this as follows:

  1. If the WikiProject does not have any articles tagged with these tasks, recommend most viewed articles that are not of high quality.
  2. If the project has tagged articles, suggest from those.

The goal is to have this code running regularly as a cron job.

I'll be working on implementing this. Most likely I'll move it to Tool Labs and utilise the database resources there. Will update this task as progress is made.

Harej added a comment.Jun 4 2016, 4:51 AM

@Nettrom, would it be possible to have SuggestBot make it rounds despite the occasional irrelevant output? There are new WikiProjects launching that have no SuggestBot suggestions at all and having something would be better than having nothing.

@Harej Sorry about the delays, have been busy rewriting much of SuggestBot to get article page view data back. Am clear to work on this now and will get an updated version running that only recommends articles within specific projects.

Nettrom closed this task as Declined.May 30 2020, 6:22 PM

I'd like to close this as "declined" for now, as we haven't really seen any interest in this since the last comment. If there's interest, and I'm able to get more focused time to work on this part of SuggestBot, then we can reopen this. It could also be a potential candidate for a Hackathon project, but I don't know much about the criteria for those.